package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ExamTaskPrint;
import com.qmth.distributed.print.business.enums.ChooseTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 发布印刷任务
 */
public class TaskPrintParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    Long printPlanId;

    Long examStartTime;

    Long examEndTime;

    List<ExamTaskPrint> list;

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public List<ExamTaskPrint> getList() {
        return list;
    }

    public void setList(List<ExamTaskPrint> list) {
        this.list = list;
    }
}
