package com.qmth.distributed.print.business.activiti;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Arrays;

/**
 * @Description: 教研室主任审批
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/29
 */
public class DirectorApproveListener implements TaskListener {
    private final static Logger log = LoggerFactory.getLogger(DirectorApproveListener.class);

    @Override
    public void notify(DelegateTask delegateTask) {
        //添加或签的人员，一人通过即可进入下一环节
        delegateTask.addCandidateUsers(Arrays.asList("王总", "赵总"));
    }
}
