package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 校区查询结果
 * @Author: CaoZixuan
 * @Date: 2021-08-03
 */
public class CampusResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "校区id")
    private Long campusId;

    @ApiModelProperty(value = "校区名称")
    private String campusName;

    @ApiModelProperty(value = "校区编码")
    private String campusCode;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "印刷室id")
    private Long printRoomId;

    @ApiModelProperty(value = "印刷室")
    private String printRoomName;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    public Long getCampusId() {
        return campusId;
    }

    public void setCampusId(Long campusId) {
        this.campusId = campusId;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public Long getPrintRoomId() {
        return printRoomId;
    }

    public void setPrintRoomId(Long printRoomId) {
        this.printRoomId = printRoomId;
    }

    public String getPrintRoomName() {
        return printRoomName;
    }

    public void setPrintRoomName(String printRoomName) {
        this.printRoomName = printRoomName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
}
